# bcf_switch – Create and remove a bcf switch

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Create and remove a Big Cloud Fabric switch.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_token - |  | Big Cloud Fabric access token. If this isn't set then the environment variable `BIGSWITCH_ACCESS_TOKEN` is used.
controller - / required |  | The controller IP address.

fabric_role
- / required

Choices:
- spine
- leaf

Fabric role of the switch.

leaf_group - |  | The leaf group of the switch if the switch is a leaf.
mac - / required |  | The MAC address of the switch.
name - / required |  | The name of the switch.

state
-

Choices:
- present ←
- absent

Whether the switch should be present or absent.

validate_certs
boolean

Choices:
- no
- yes ←

If `false`, SSL certificates will not be validated. This should only be used on personally controlled devices using self-signed certificates.

## Examples

    - name: bcf leaf switch
      bcf_switch:
        name: Rack1Leaf1
        fabric_role: leaf
        leaf_group: R1
        mac: 00:00:00:02:00:02
        controller: '{{ inventory_hostname }}'
        state: present
        validate_certs: false

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ted (@tedelhourani)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.